Bug 837026 - libresolv dumps core when IPv6 address in resolv.conf
libresolv dumps core when IPv6 address in resolv.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc (Show other bugs)
6.3
All Linux
urgent Severity high
: rc
: ---
Assigned To: Jeff Law
qe-baseos-tools
: ZStream
Depends On: 835090
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 10:34 EDT by RHEL Product and Program Management
Modified: 2016-11-24 11:02 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A programming error caused an internal array of nameservers to only be partially initialized when /etc/resolv.conf contained IPV6 nameservers. Depending on the exact contents of a nearby structure, this could cause applications to fault. The programming error has been fixed restoring proper behaviour with IPV6 nameservers listed in /etc/resolv.conf.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 11:24:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 165013 None None None Never

  None (edit)
Description RHEL Product and Program Management 2012-07-02 10:34:33 EDT
This bug has been copied from bug #835090 and has been proposed
to be backported to 6.3 z-stream (EUS).
Comment 4 Jeff Law 2012-07-02 12:46:32 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A programming error caused an internal array of nameservers to only be partially initialized when /etc/resolv.conf contained IPV6 nameservers.  Depending on the exact contents of a nearby structure, this could cause applications to fault.  The programming error has been fixed restoring proper behaviour with IPV6 nameservers listed in /etc/resolv.conf.
Comment 6 errata-xmlrpc 2012-07-18 11:24:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1098.html

Note You need to log in before you can comment on or make changes to this bug.